EC_NODE_RE(3)

NAME
ec_node_re - Create a regular expression node.

SYNOPSIS
#include <ecoli/node_re.h>

struct ec_node * ec_node_re(
    const char   *id,   /* The node identifier. */
    /*
     * The regular expression pattern (POSIX extended regex).
     */
    const char   *str
);

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_re_set_regexp(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.